Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Interface CSSOMValue.ModificationHandler

All Known Implementing Classes:
  CSSOMValue.AbstractModificationHandler

Enclosing class:
  CSSOMValue

    public static interface CSSOMValue.ModificationHandler

To manage the modifications on a CSS value.

Method Summary
`void` | `blueFloatValueChanged(short unit, float value)` Called when the blue float value has changed.
`void` | `blueTextChanged(String text)` Called when the blue value text has changed.
`void` | `bottomFloatValueChanged(short unit, float value)` Called when the bottom float value has changed.
`void` | `bottomTextChanged(String text)` Called when the bottom value text has changed.
`void` | `floatValueChanged(short unit, float value)` Called when the float value has changed.
`void` | `greenFloatValueChanged(short unit, float value)` Called when the green float value has changed.
`void` | `greenTextChanged(String text)` Called when the green value text has changed.
`void` | `leftFloatValueChanged(short unit, float value)` Called when the left float value has changed.
`void` | `leftTextChanged(String text)` Called when the left value text has changed.
`void` | `listFloatValueChanged(int idx, short unit, float value)` Called when the list float value has changed.
`void` | `listStringValueChanged(int idx, short unit, String value)` Called when the list string value has changed.
`void` | `listTextChanged(int idx, String text)` Called when the list value text has changed.
`void` | `redFloatValueChanged(short unit, float value)` Called when the red float value has changed.
`void` | `redTextChanged(String text)` Called when the red value text has changed.
`void` | `rightFloatValueChanged(short unit, float value)` Called when the right float value has changed.
`void` | `rightTextChanged(String text)` Called when the right value text has changed.
`void` | `stringValueChanged(short type, String value)` Called when the string value has changed.
`void` | `textChanged(String text)` Called when the value text has changed.
`void` | `topFloatValueChanged(short unit, float value)` Called when the top float value has changed.
`void` | `topTextChanged(String text)` Called when the top value text has changed.

Method Detail

### textChanged

    void textChanged(String text)
                     throws DOMException

  Called when the value text has changed.

  Throws:
    `DOMException`

### floatValueChanged

    void floatValueChanged(short unit,
                           float value)
                           throws DOMException

  Called when the float value has changed.

  Throws:
    `DOMException`

### stringValueChanged

    void stringValueChanged(short type,
                            String value)
                            throws DOMException

  Called when the string value has changed.

  Throws:
    `DOMException`

### leftTextChanged

    void leftTextChanged(String text)
                         throws DOMException

  Called when the left value text has changed.

  Throws:
    `DOMException`

### leftFloatValueChanged

    void leftFloatValueChanged(short unit,
                               float value)
                               throws DOMException

  Called when the left float value has changed.

  Throws:
    `DOMException`

### topTextChanged

    void topTextChanged(String text)
                        throws DOMException

  Called when the top value text has changed.

  Throws:
    `DOMException`

### topFloatValueChanged

    void topFloatValueChanged(short unit,
                              float value)
                              throws DOMException

  Called when the top float value has changed.

  Throws:
    `DOMException`

### rightTextChanged

    void rightTextChanged(String text)
                          throws DOMException

  Called when the right value text has changed.

  Throws:
    `DOMException`

### rightFloatValueChanged

    void rightFloatValueChanged(short unit,
                                float value)
                                throws DOMException

  Called when the right float value has changed.

  Throws:
    `DOMException`

### bottomTextChanged

    void bottomTextChanged(String text)
                           throws DOMException

  Called when the bottom value text has changed.

  Throws:
    `DOMException`

### bottomFloatValueChanged

    void bottomFloatValueChanged(short unit,
                                 float value)
                                 throws DOMException

  Called when the bottom float value has changed.

  Throws:
    `DOMException`

### redTextChanged

    void redTextChanged(String text)
                        throws DOMException

  Called when the red value text has changed.

  Throws:
    `DOMException`

### redFloatValueChanged

    void redFloatValueChanged(short unit,
                              float value)
                              throws DOMException

  Called when the red float value has changed.

  Throws:
    `DOMException`

### greenTextChanged

    void greenTextChanged(String text)
                          throws DOMException

  Called when the green value text has changed.

  Throws:
    `DOMException`

### greenFloatValueChanged

    void greenFloatValueChanged(short unit,
                                float value)
                                throws DOMException

  Called when the green float value has changed.

  Throws:
    `DOMException`

### blueTextChanged

    void blueTextChanged(String text)
                         throws DOMException

  Called when the blue value text has changed.

  Throws:
    `DOMException`

### blueFloatValueChanged

    void blueFloatValueChanged(short unit,
                               float value)
                               throws DOMException

  Called when the blue float value has changed.

  Throws:
    `DOMException`

### listTextChanged

    void listTextChanged(int idx,
                         String text)
                         throws DOMException

  Called when the list value text has changed.

  Throws:
    `DOMException`

### listFloatValueChanged

    void listFloatValueChanged(int idx,
                               short unit,
                               float value)
                               throws DOMException

  Called when the list float value has changed.

  Throws:
    `DOMException`

### listStringValueChanged

    void listStringValueChanged(int idx,
                                short unit,
                                String value)
                                throws DOMException

  Called when the list string value has changed.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.